
package com.tmerclub.cloud.product.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 赠品套装商品项DTO
 *
 * @author tmerclub
 * @date 2022-08-16 11:11:59
 */
public class GiveawaySpuDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "赠品商品项id")
    private Long giveawaySpuId;

    @Schema(description = "赠品id")
    private Long giveawayId;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "skuId")
    private Long skuId;

    @Schema(description = "赠送数量")
    private Integer giveawayNum;

    @Schema(description = "退货价")
    private Long refundPrice;

    @Schema(description = "状态 1：正常 0：失效 -1：删除")
    private Integer status;

    @Schema(description = "商品名称")
    private String spuName;

    @Schema(description = "商品图片")
    private String mainImgUrl;

    @Schema(description = "sku名称")
    private String skuName;

    @Schema(description = "商品现价")
    private Long priceFee;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "店铺分类id")
    private Long shopCategoryId;

    @Schema(description = "查询名称")
    private String name;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getGiveawaySpuId() {
        return giveawaySpuId;
    }

    public void setGiveawaySpuId(Long giveawaySpuId) {
        this.giveawaySpuId = giveawaySpuId;
    }

    public Long getGiveawayId() {
        return giveawayId;
    }

    public void setGiveawayId(Long giveawayId) {
        this.giveawayId = giveawayId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public Integer getGiveawayNum() {
        return giveawayNum;
    }

    public void setGiveawayNum(Integer giveawayNum) {
        this.giveawayNum = giveawayNum;
    }

    public Long getRefundPrice() {
        return refundPrice;
    }

    public void setRefundPrice(Long refundPrice) {
        this.refundPrice = refundPrice;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getSpuName() {
        return spuName;
    }

    public void setSpuName(String spuName) {
        this.spuName = spuName;
    }

    public String getMainImgUrl() {
        return mainImgUrl;
    }

    public void setMainImgUrl(String mainImgUrl) {
        this.mainImgUrl = mainImgUrl;
    }

    public String getSkuName() {
        return skuName;
    }

    public void setSkuName(String skuName) {
        this.skuName = skuName;
    }

    public Long getPriceFee() {
        return priceFee;
    }

    public void setPriceFee(Long priceFee) {
        this.priceFee = priceFee;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getShopCategoryId() {
        return shopCategoryId;
    }

    public void setShopCategoryId(Long shopCategoryId) {
        this.shopCategoryId = shopCategoryId;
    }

    @Override
    public String toString() {
        return "GiveawaySpuDTO{" +
                "giveawaySpuId=" + giveawaySpuId +
                ", giveawayId=" + giveawayId +
                ", spuId=" + spuId +
                ", skuId=" + skuId +
                ", giveawayNum=" + giveawayNum +
                ", refundPrice=" + refundPrice +
                ", status=" + status +
                ", spuName='" + spuName + '\'' +
                ", mainImgUrl='" + mainImgUrl + '\'' +
                ", skuName='" + skuName + '\'' +
                ", priceFee=" + priceFee +
                ", shopId=" + shopId +
                ", shopCategoryId=" + shopCategoryId +
                ", name='" + name + '\'' +
                '}';
    }
}
